Bug 1310453 - Review Request: R-littler - littler: R at the Command-Line via 'r'
Review Request: R-littler - littler: R at the Command-Line via 'r'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1305335
  Show dependency treegraph
 
Reported: 2016-02-21 14:22 EST by Mattias Ellert
Modified: 2016-03-14 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamatos: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-21 14:22:16 EST
Spec URL: http://www.grid.tsl.uu.se/review/R-littler.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-littler-0.3.0-1.fc24.src.rpm

Description:
A scripting and command-line front-end is provided by 'r' (aka 'littler')
as a lightweight binary wrapper around the GNU R language and environment
for statistical computing and graphics. While R can be used in batch
mode, the r binary adds full support for both 'shebang'-style scripting
(i.e. using a hash-mark-exclamation-path expression as the first line in
scripts) as well as command-line use in standard Unix pipelines. In other
words, r provides the R language without the environment.

Fedora Account System Username: ellert
Comment 1 José Matos 2016-02-23 05:08:08 EST
I had in my list to package litter so I will take the review. :-)
Comment 2 José Matos 2016-02-23 05:15:56 EST
TLDR; the package is APPROVED. :-)

My only nitpick is with the summary
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#summary

IMHO the summary should not start with the name of the package as it is already implied. I admit though that this is a personal preference so it is up to you. :-)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 13 files have unknown license.
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -littler-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.3.0, packaged version is 0.3.0

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-littler-0.3.0-1.fc23.x86_64.rpm
          R-littler-examples-0.3.0-1.fc23.x86_64.rpm
          R-littler-debuginfo-0.3.0-1.fc23.x86_64.rpm
          R-littler-0.3.0-1.fc23.src.rpm
R-littler.x86_64: W: summary-not-capitalized C littler: R at the Command-Line via 'r'
R-littler.x86_64: W: only-non-binary-in-usr-lib
R-littler.x86_64: E: zero-length /usr/lib64/R/library/littler/NAMESPACE
R-littler-examples.x86_64: W: only-non-binary-in-usr-lib
R-littler-examples.x86_64: W: no-documentation
R-littler-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/R-littler-0.3.0/littler/src/littler.c
R-littler.src: W: summary-not-capitalized C littler: R at the Command-Line via 'r'
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: R-littler-debuginfo-0.3.0-1.fc23.x86_64.rpm
R-littler-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/R-littler-0.3.0/littler/src/littler.c
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
R-littler-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/R-littler-0.3.0/littler/src/littler.c
R-littler.x86_64: W: summary-not-capitalized C littler: R at the Command-Line via 'r'
R-littler.x86_64: W: only-non-binary-in-usr-lib
R-littler.x86_64: E: zero-length /usr/lib64/R/library/littler/NAMESPACE
R-littler-examples.x86_64: W: only-non-binary-in-usr-lib
R-littler-examples.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
R-littler-debuginfo (rpmlib, GLIBC filtered):

R-littler (rpmlib, GLIBC filtered):
    R-core(x86-64)
    libR.so()(64bit)
    libblas.so.3()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgomp.so.1()(64bit)
    libicui18n.so.54()(64bit)
    libicuuc.so.54()(64bit)
    liblapack.so.3()(64bit)
    liblzma.so.5()(64bit)
    libm.so.6()(64bit)
    libpcre.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libtre.so.5()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

R-littler-examples (rpmlib, GLIBC filtered):
    /usr/bin/r
    R-littler(x86-64)



Provides
--------
R-littler-debuginfo:
    R-littler-debuginfo
    R-littler-debuginfo(x86-64)

R-littler:
    R-littler
    R-littler(x86-64)

R-littler-examples:
    R-littler-examples
    R-littler-examples(x86-64)



Source checksums
----------------
ftp://cran.r-project.org/pub/R/contrib/main/littler_0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : bef162738f46523524b2ef9ad4e7ba86a7138888b93dde3d58eaab49a8ab73d8
  CHECKSUM(SHA256) upstream package : bef162738f46523524b2ef9ad4e7ba86a7138888b93dde3d58eaab49a8ab73d8


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1310453
Buildroot used: fedora-23-x86_64
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Mattias Ellert 2016-02-23 05:29:54 EST
Many thanks for the review.

I think you forgot to assign the review request ticket to yourself.
When I try to request the package to be created in pkgdb it complains "Review not approved by the assignee of the ticket".
Comment 4 Mattias Ellert 2016-02-23 05:40:06 EST
I hope you don't mind I assigned the ticket to you. It allowed me to complete the pkgdb new package request.

Once again, many thanks.
Comment 5 José Matos 2016-02-23 05:43:44 EST
Thank you for doing that. :-)
Comment 6 Gwyn Ciesla 2016-02-23 11:00:49 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-littler
Comment 7 Fedora Update System 2016-02-23 16:53:33 EST
R-RInside-0.2.13-1.fc23 R-Rcpp-0.12.3-3.fc23 R-littler-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 8 Fedora Update System 2016-02-23 16:53:37 EST
R-RInside-0.2.13-1.fc23 R-Rcpp-0.12.3-3.fc23 R-littler-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 9 Fedora Update System 2016-02-23 16:58:15 EST
R-RInside-0.2.13-1.fc22 R-Rcpp-0.12.3-3.fc22 R-littler-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 10 Fedora Update System 2016-02-23 16:58:18 EST
R-RInside-0.2.13-1.fc22 R-Rcpp-0.12.3-3.fc22 R-littler-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 11 Fedora Update System 2016-02-23 17:07:46 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 12 Fedora Update System 2016-02-23 17:07:47 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 13 Fedora Update System 2016-02-23 17:07:49 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 14 Fedora Update System 2016-02-23 17:07:49 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 15 Fedora Update System 2016-02-23 17:07:50 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 16 Fedora Update System 2016-02-23 17:07:51 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 17 Fedora Update System 2016-02-23 17:07:52 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 18 Fedora Update System 2016-02-25 05:53:35 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 19 Fedora Update System 2016-02-25 08:17:55 EST
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 20 Fedora Update System 2016-02-25 08:21:01 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 21 Fedora Update System 2016-02-25 21:26:03 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 22 Fedora Update System 2016-03-04 20:20:25 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-03-05 01:24:03 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-03-12 14:58:36 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-03-14 15:25:46 EDT
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.